0%

yarn 실행 시 "Usage Error The nearest package directory" 뜨는 문제

처음 node를 하려다가…

이번에 진행하는 프로젝트에 노드를 적용해보려고 노드 공부를 시작했다.
노드 환경을 구축하고, npm은 문제가 많아서 페이스북에서 만든 yarn이라는걸 많이 쓰는 추세라 하여…
yarn을 사용하기로 마음먹고 실행해봤다.

그런데 역시 처음엔 고통과 배움의 시간이 필요하듯…
이상한 문제가 나에게 찾아왔다.

프로젝트를 지웠다가 다시 해도 계속 발생하고, 검색을 해도 잘 안나오거나 뭐라고 하는지 이해가 잘 안되었다.
지금 생각해보면 너무나도 간단한 문제였지만 -_-;;

내가 찾은 솔루션은 이 문서 였다.
내용을 요약하면…

너가 지금 하려는 디렉토리의 상위쪽에 package.json 또는 yarn.lock 파일이 존재한다

맨 처음엔 ‘상위에 저런게 있을리가 없지’ 라면서 그냥 넘겼는데..
도저히 못찾아서 헤매다가…

HEXO

그렇다.
이 블로그는 hexo로 만들어졌고, hexo는 node.js로 만들어졌는데, 이 hexo를 깔면서 홈 디렉토리에 뭔가를 했던 기억이 생각났다…
그리고 확인 결과….역시 있었다. (package-lock.json package.json)

그리고 두 파일을 제거하고 yarn 명령어를 사용했더니 잘 된다 -_-;

결론은 항상 안되면 솔루션의 글을 잘 읽고 확인도 잘 해보자.